diff --git a/gtk/gtkfilesystemmodel.h b/gtk/gtkfilesystemmodel.h
index a6fbab9..46743f1 100644
--- a/gtk/gtkfilesystemmodel.h
+++ b/gtk/gtkfilesystemmodel.h
@@ -55,6 +55,8 @@ GtkFileSystemModel *_gtk_file_system_model_new_for_directory(GFile *
 GCancellable *      _gtk_file_system_model_get_cancellable  (GtkFileSystemModel *model);
 gboolean            _gtk_file_system_model_iter_is_visible  (GtkFileSystemModel *model,
 							     GtkTreeIter        *iter);
+gboolean            _gtk_file_system_model_iter_is_filtered_out (GtkFileSystemModel *model,
+								 GtkTreeIter        *iter);
 GFileInfo *         _gtk_file_system_model_get_info         (GtkFileSystemModel *model,
 							     GtkTreeIter        *iter);
 gboolean            _gtk_file_system_model_get_iter_for_file(GtkFileSystemModel *model,
@@ -71,8 +73,7 @@ void                _gtk_file_system_model_add_and_query_file (GtkFileSystemMode
                                                              const char         *attributes);
 void                _gtk_file_system_model_update_file      (GtkFileSystemModel *model,
                                                              GFile              *file,
-                                                             GFileInfo          *info,
-                                                             gboolean            requires_resort);
+                                                             GFileInfo          *info);
 
 void                _gtk_file_system_model_set_show_hidden  (GtkFileSystemModel *model,
 							     gboolean            show_hidden);
@@ -80,8 +81,8 @@ void                _gtk_file_system_model_set_show_folders (GtkFileSystemModel
 							     gboolean            show_folders);
 void                _gtk_file_system_model_set_show_files   (GtkFileSystemModel *model,
 							     gboolean            show_files);
-void                _gtk_file_system_model_freeze_updates   (GtkFileSystemModel *model);
-void                _gtk_file_system_model_thaw_updates     (GtkFileSystemModel *model);
+void                _gtk_file_system_model_set_filter_folders (GtkFileSystemModel *model,
+							     gboolean            show_folders);
 void                _gtk_file_system_model_clear_cache      (GtkFileSystemModel *model,
                                                              int                 column);
 
